For the complete documentation index, see llms.txt. This page is also available as Markdown.

Property Assets

Get Property Asset Types

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Responses
200Success
application/json
get/properties/assets/types
GET /properties/assets/types HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "types": [
    {
      "id": "cksq3o1qn00j20hs0ayi7qagu",
      "name": "Flat Entrance Doors",
      "nameSingular": "Flat Entrance Door",
      "fields": [
        {
          "id": "cksq3ocb600mu0hs0qhachlip",
          "identifier": "flatNumber",
          "name": "Flat Number",
          "type": "text",
          "config": {}
        },
        {
          "id": "eowcg4w4w84sk4o4w440k8k0",
          "identifier": null,
          "name": "File Attachments",
          "type": "string",
          "config": {
            "multi": true
          },
          "contentMediaType": "application/octet-stream"
        },
        {
          "id": "i0sg4o4c0sgkkogsg4wsgwco",
          "identifier": null,
          "name": "Main Image",
          "type": "image",
          "config": {
            "multi": false
          }
        },
        {
          "id": "cksq3oc5y004i0hs0ff0cbyk3",
          "identifier": "occupancyType",
          "name": "Type of Occupant",
          "type": "option",
          "config": {
            "multi": true,
            "options": [
              {
                "id": "cloirzzkg00058usq5r0kbhbw",
                "value": "Residential"
              },
              {
                "id": "cloirzzkp00068usqc2as5d93",
                "value": "Business"
              },
              {
                "id": "cloirzzky00078usqha9i4o2u",
                "value": "Educational"
              }
            ]
          }
        },
        {
          "id": "cksq3ocb800n00hs0249bbds3",
          "identifier": "pin",
          "name": "Pin",
          "type": "pin",
          "config": {}
        },
        {
          "id": "rw080wwgko08wckkgc88s4o0",
          "identifier": "fireRating",
          "name": "Fire Rating",
          "type": "option",
          "config": {
            "multi": true,
            "options": [
              {
                "id": "clfawx3z300018psqf8mv6x22",
                "value": "FD30"
              },
              {
                "id": "clfawx3zc00028psqf9830q5x",
                "value": "FD30S"
              },
              {
                "id": "clfawx3zc00028psqf9830q5x",
                "value": "FD60"
              }
            ]
          }
        }
      ]
    }
  ]
}

Get Property Assets

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
typestring · Comma-Separated: ID or nameOptional

Limit list by asset type. See GET /properties/assets/types

Example: Flat Entrance Door,firedoors,cksq3o1qn00j20hs0ayi7qagu
idstring · Comma-Separated: IDOptional

Limit list by assets

Example: cksq3o1qn00j10hs07j31i9l1
propertystring · Comma-Separated: IDOptional

Limit list by properties

Example: cksq4ybpq104zwgwh2gd1vvha
Responses
200Success
application/json
totalintegerOptionalExample: 1288
get/properties/assets
GET /properties/assets HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "assets": [
    {
      "id": "cksq3o1qn00j20hs0ayi7qagu",
      "property": "cksq39rno02kj0ns0qcqi1sz1",
      "type": "cksq3ocb600mu0hs0qhachlip",
      "fields": [
        {
          "id": "cksq3ocb600mu0hs0qhachlip",
          "identifier": "flatNumber",
          "type": "text",
          "result": {
            "value": "Flat 1A"
          }
        },
        {
          "id": "eowcg4w4w84sk4o4w440k8k0",
          "identifier": null,
          "type": "string",
          "result": {
            "ids": [
              "x480ws4sks0kskc0wssogkg4",
              "uwcwsoo00g0swosg4w00oc4g",
              "d8kswcsk8k08c4g8k4cc8044"
            ]
          },
          "contentMediaType": "application/octet-stream"
        },
        {
          "id": "i0sg4o4c0sgkkogsg4wsgwco",
          "identifier": null,
          "type": "image",
          "result": {
            "ids": [
              "e80wo0k4oks0gs4ks404s4k4"
            ]
          }
        },
        {
          "id": "cksq3oc5y004i0hs0ff0cbyk3",
          "identifier": "occupancyType",
          "type": "option",
          "result": {
            "ids": [
              "cloirzzkg00058usq5r0kbhbw",
              "cloirzzkp00068usqc2as5d93"
            ],
            "values": [
              "Residential",
              "Business"
            ]
          }
        },
        {
          "id": "cksq3ocb800n00hs0249bbds3",
          "identifier": "pin",
          "type": "pin",
          "result": {
            "planId": "vs8wco44wosgssscww4o880c",
            "percentageFromLeft": "87.666666666666",
            "percentageFromTop": "17.777777777778"
          }
        }
      ]
    }
  ],
  "types": [
    {
      "id": "cksq3o1qn00j20hs0ayi7qagu",
      "name": "Flat Entrance Doors",
      "nameSingular": "Flat Entrance Door",
      "fields": [
        {
          "id": "cksq3ocb600mu0hs0qhachlip",
          "identifier": "flatNumber",
          "name": "Flat Number",
          "type": "text",
          "config": {}
        },
        {
          "id": "eowcg4w4w84sk4o4w440k8k0",
          "identifier": null,
          "name": "File Attachments",
          "type": "string",
          "config": {
            "multi": true
          },
          "contentMediaType": "application/octet-stream"
        },
        {
          "id": "i0sg4o4c0sgkkogsg4wsgwco",
          "identifier": null,
          "name": "Main Image",
          "type": "image",
          "config": {
            "multi": false
          }
        },
        {
          "id": "cksq3oc5y004i0hs0ff0cbyk3",
          "identifier": "occupancyType",
          "name": "Type of Occupant",
          "type": "option",
          "config": {
            "multi": true,
            "options": [
              {
                "id": "cloirzzkg00058usq5r0kbhbw",
                "value": "Residential"
              },
              {
                "id": "cloirzzkp00068usqc2as5d93",
                "value": "Business"
              },
              {
                "id": "cloirzzky00078usqha9i4o2u",
                "value": "Educational"
              }
            ]
          }
        },
        {
          "id": "cksq3ocb800n00hs0249bbds3",
          "identifier": "pin",
          "name": "Pin",
          "type": "pin",
          "config": {}
        },
        {
          "id": "rw080wwgko08wckkgc88s4o0",
          "identifier": "fireRating",
          "name": "Fire Rating",
          "type": "option",
          "config": {
            "multi": false,
            "options": [
              {
                "id": "clfawx3z300018psqf8mv6x22",
                "value": "FD30"
              },
              {
                "id": "clfawx3zc00028psqf9830q5x",
                "value": "FD30S"
              },
              {
                "id": "clfawx3zc00028psqf9830q5x",
                "value": "FD60"
              }
            ]
          }
        }
      ]
    }
  ]
}

Create Property Asset

post
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertyIdstring · UIDRequired
Body
typestring · UIDRequired

ID of property asset type
See GET /properties/assets/types for types

valuesobjectOptional

Values are not required when creating an asset.

Values keyed by field ID
See GET /properties/assets/types for available fields

{ fieldId1: value, fieldId2: value }
  • Text Field
    string or null to remove value

  • Number Field
    number or null to remove value

  • Option Field
    array of option IDs or null to remove value

  • Date Field
    string<Y-m-d> like 2026-02-25 or null to remove value

  • Time Field
    string<H:i> like 14:02 or null to remove value

  • QR Field
    string or null to remove value

Responses
200Success
application/json
idstring · UIDOptionalExample: yok0w80s0sckwwgo0c8sko4o
post/properties/{propertyId}/assets
POST /properties/{propertyId}/assets HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 206

{
  "type": "cksq3o1qn00j20hs0ayi7qagu",
  "values": {
    "cksq3ocb600mu0hs0qhachlip": "Flat 1A",
    "cksq3oc5y004i0hs0ff0cbyk3": [
      "cloirzzkg00058usq5r0kbhbw"
    ],
    "cksq3ocb900n10hs0249bbdt4": 1,
    "cksq3ocd0004i0hs0ff0cbyk9": null
  }
}
{
  "id": "yok0w80s0sckwwgo0c8sko4o"
}

Update Property Asset

patch
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertyIdstring · UIDRequired
assetIdstring · UIDRequired
Body
valuesobjectRequired

Values keyed by field ID
See GET /properties/assets/types for available fields

{ fieldId1: value, fieldId2: value }
  • Text Field
    string or null to remove value

  • Number Field
    number or null to remove value

  • Option Field
    array of option IDs or null to remove value

  • Date Field
    string<Y-m-d> like 2026-02-25 or null to remove value

  • Time Field
    string<H:i> like 14:02 or null to remove value

  • QR Field
    string or null to remove value

Responses
204Success
patch/properties/{propertyId}/assets/{assetId}
PATCH /properties/{propertyId}/assets/{assetId} HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 138

{
  "values": {
    "cksq3ocb600mu0hs0qhachlip": "Flat 1B",
    "cksq3oc5y004i0hs0ff0cbyk3": [
      "cloirzzkp00068usqc2as5d93"
    ],
    "cksq3ocb900n10hs0249bbdt4": 0
  }
}

Last updated

Was this helpful?